#include <time.h>
#include <sys/types.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#include "getrand.h"


int get_random(void *buf, int len)
{
    int fd, rc, cnt;
    fd = open("/dev/urandom", O_RDONLY);
    if(fd == -1)
        return 0;
    cnt = 0;
    while(cnt < len) {
        rc = read(fd, ((char*)buf) + cnt, len - cnt);
        if(rc < 1) {
                /* -1 is error, but, well, EOF on /dev/urandom is even worse */
            close(fd);
            return 0;
        }
        cnt += rc;
    }
    close(fd);
    return 1;
}
